package com.fos.modules.user.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class UserEntity extends BaseEntity{
    
    private static final long serialVersionUID = 8898159330543638394L;
    
    // 指定字段名称
    @JSONField(name="login_name")
    private String username;    // sys_user表下的login_name
    
    @JSONField(name="name")
    private String name;    // sys_role表下的name
    
    // 指定字段不序列化
    @JSONField(serialize=false)
    private String password;    // sys_user表下的password

    @JSONField(serialize=false)
    private String loginType;    // 登陆类别

    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    public String getUsername() {
        return username;
    }
    public void setUsername(String username) {
        this.username = username;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
    
    
    
}
